<?php

namespace App\Http\Controllers;

use App\Models\DataWarga;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
// use Illuminate\Support\Facades\Http;

class SinkronController extends Controller
{
    public function index() {
        // $reponse = Http::post();

        $title = "Sinkron Data Warga";
        $link = "sinkron";
        $parent = "Master Data";

        $offset = 0;
        $limit = 10;

        if(Request('page')) {
            $offset = Request('page') - 1;
        }

        if(Request('limit')) {
            $limit = Request('limit');
        }

        $client = new Client();
        $response = $client->request('POST','https://hanyastudio.my.id/anjas/api/apiktp', [
            'json' => [
                'user' => 'surya',
                'password' => '123456789',
                'offset' => $offset,
                'limit' => $limit,
            ]
        ]);



        $body = $response->getBody();
        $result = json_decode($body, true);

        // dd($result);
        $no = 1*($offset + 1)*10-10+1;
        return view('sinkron.index',compact('title','parent','link','result','no'));

    }

    public function store(Request $request) {
        $notif = [];

        $offset = 0;
        $limit = 10;

        if(Request('page')) {
            $offset = Request('page') - 1;
        }

        if(Request('limit')) {
            $limit = Request('limit');
        }

        foreach($request->data as $a) {
            $DataWarga = DataWarga::where('nik', $a)->get();
            if($DataWarga->count() > 1) {
                $notif[] = 'Data dengan nik '.$a.' double di Data Warga';
            } else if($DataWarga->count() == 1) {
                $client = new Client();
                $response = $client->request('POST','https://hanyastudio.my.id/anjas/api/apiktp', [
                    'json' => [
                        'user' => 'surya',
                        'password' => '123456789',
                        'offset' => $offset,
                        'limit' => $limit,
                    ]
                ]);

                $dataWargaS = [];

                foreach($DataWarga as $c) {
                    $dataWargaS = $c;
                }

                // $dataWargaS = []

                // dd( optional($dataWargaS)->tanggal_lahir);

                $body = $response->getBody();
                $result = json_decode($body, true);

                $dataKTP = [];
                foreach ($result as $b) {
                    if($b['nik'] == $a) {
                        $dataKTP = $b;
                    }
                }

                $checkSinkron = 0;

                $CheckSinkronArray = [
                    false, false, false, false, false, false, false, false, false, false, false,
                ];

                if($dataKTP['nik'] == $dataWargaS->nik) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[0] = true;
                }

                if($dataKTP['nama'] == $dataWargaS->nama_lengkap) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[1] = true;
                }

                if($dataKTP['tempat_lahir'] == optional($dataWargaS)->tempat_lahir) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[2] = true;
                }

                if($dataKTP['tanggal_lahir'] == optional($dataWargaS)->tanggal_lahir) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[3] = true;
                }

                $jenis_kelamin = $dataWargaS->jenis_kelamin == 'Perempuan' ? 'P' : 'L';
                if($dataKTP['jenis_kelamin'] == $jenis_kelamin) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[4] = true;
                }

                if($dataKTP['alamat'] == $dataWargaS->alamat) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[5] = true;
                }

                $number1 = $dataKTP['rt'];
                $number2 = $dataWargaS->rt;

                $result1 = intval($number1);
                $result2 = intval($number2);
                if($result1 == $result2) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[6] = true;
                }

                if($dataKTP['kode_kemendagri'] == $dataWargaS->kelurahan->id) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[7] = true;
                }

                if($dataKTP['status_perkawinan'] == $dataWargaS->kawin) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[8] = true;
                }

                // $similiar = similar_text(, $dataWargaS->pekerjaan);
                $pekerjaanKTP = str_replace(' / ', '/', strtoupper($dataKTP['jenis_pekerjaan']));
                $pekerjaandataWargaS = str_replace(' / ', '/', strtoupper($dataWargaS->pekerjaan));

                // dd($pekerjaanKTP);
                // $dataWARGASSPekerjaan = ;
                // if($this->is_all_uppercase(optional($dataWargaS)->pekerjaan)) {
                //     dd(true);
                // } else {
                //     dd(false);
                // }
                dd(strtolower(optional($dataWargaS)->pekerjaan));

                // dd($this->my_strtoupper(strtoupper($dataWARGASSPekerjaan)));


                if($pekerjaanKTP == $pekerjaandataWargaS) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[9] = true;
                }

                if($dataKTP['nomor_kontak'] == $dataWargaS->no_telepon) {
                    $checkSinkron += 1;
                    $CheckSinkronArray[10] = true;
                }

                dd($CheckSinkronArray);

                // $notif[] = 'Data dengan nik '.$a.' double di Data Warga';
            } else {
                $notif[] = 'Data dengan nik '.$a.' tidak tersedia di Data Warga';
            }
        }

        dd($notif);

        // dd($ktp);
    }
}
