<?php

namespace App\Models\Api;

use Illuminate\Database\Eloquent\Model;
use App\Models\Kelurahan;
class ApiKelurahan extends Kelurahan
{
    protected $hidden = [
    	'created_at',
    	'updated_at',
    	'kecamatan_id',
    	'kecamatan'
    ];

    protected $appends = ['nama_kecamatan'];


    public function getNamaKecamatanAttribute($value='')
    {
    	return $this->kecamatan->nama_kecamatan;
    }
}
