@extends('layouts.app')

@section('content')

<!-- Default box -->
<div class="box">
  <div class="box-header with-border">
    <h3 class="box-title">Data {{$title}}</h3>

    <div class="box-tools pull-right">
      <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
        <i class="fa fa-minus"></i></button>
      
    </div>
  </div>
  <div class="box-body">
    @include('layouts.include.rekap-cari')
    
    <table id="example2" class="table table-bordered table-hover">
      <thead>
        <tr>
          <th>No</th>
          <th>Name</th>
          <th>Email</th>
          <th>Role</th>
          <th>Waktu Dibuat</th>
        </tr>
      </thead>
      <tbody>
        @foreach($datas as $data)
          <tr>
            <td>
              {{ $no++ }}
            </td>
            <td>
              {{ $data->name }}
            </td>
            <td>
              {{ $data->email }}
            </td>
            <td>
              {{ ($data->role == 0)?'User Biasa':'User Admin' }}
            </td>
            <td>
              {{ $data->created_at }}
                
            </td>
          </tr>
        @endforeach
      </tbody>
    </table>
  </div>
  <!-- /.box-body -->
  <div class="box-footer">
    {!! $datas->links() !!}
  </div>
  <!-- /.box-footer-->
</div>
<!-- /.box -->
@endsection
