@extends('layouts.app')

@section('content')

<!-- Default box -->
<div class="box">
  <div class="box-header with-border">
    <h3 class="box-title">Data {{$title}}</h3>

    <div class="box-tools pull-right">
      <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
        <i class="fa fa-minus"></i></button>
      
    </div>
  </div>
  <div class="box-body">
    @include('layouts.include.cari')
    <a href="{{ url('/user') }}" class="btn btn-sm btn-danger" title="Kembali">Kembali</a>
    
    <table id="example2" class="table table-bordered table-hover">
      <thead>
        <tr>
          <th>No</th>
          <th>User</th>
          <th>Keterangan</th>
          <th>Waktu</th>
          <th>Tanggal</th>
        </tr>
      </thead>
      <tbody>
        @foreach($datas as $data)
          <tr>
            <td>
              {{ $no++ }}
            </td>
            <td>
              {{ $data->user->name }}
            </td>
            <td>
              {{ $data->keterangan }}
            </td>
            <td>
              {{ $data->created_at->diffForHumans() }}
            </td>
            <td>
              {{ $data->created_at }}
            </td>
           
          </tr>
        @endforeach
      </tbody>
    </table>
  </div>
  <!-- /.box-body -->
  <div class="box-footer">
    {!! $datas->appends(request()->except('page'))->links() !!}
  </div>
  <!-- /.box-footer-->
</div>
<!-- /.box -->
@endsection
