@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-md-6">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">{{ $title }}</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form role="form" method="post" action="{{ url($link . '/import') }}" enctype="multipart/form-data">
                    @csrf
                    <div class="box-body">
                        <div class="form-group">
                            <label for="nik">File Excel</label>
                            <input type="file" class="form-control" id="file" name="file" required=""
                                placeholder="Nik">
                            @error('file')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <strong>
                            <p>Format Kolom Excel : </p>
                            <p> 1 = Nama Lengkap <br>
                                2 = Email <br>
                                3 = Nomor Telpon <br>
                                4 = Role (User Operator / User Admin / User Super Admin)<br>
                                5 = Kabupaten (Namanya berdasarkan di data kabupaten) <br>
                                6 = Password <br>
                            </p>
                            {{-- <h3>Pastikan Format Data Di Excel Benar</h3>
                            <p>Format Untuk Jenis Kelamin : Laki-Laki/Perempuan</p>
                            <p>Format Untuk Status Kawin : Belum/Sudah/Pernah</p>
                            <br>
                            <br> --}}
                            Contoh Format Excel : <a href="{{ asset('contoh_excel_pengguna.xlsx') }}">Download</a>
                            <p>Email Yang sudah ada di database tidak akan terinput</p>
                            {{-- <p>Data dengan kelurahan yang tidak sesuai di database tidak akan terinput</p> --}}
                        </strong>

                    </div>
                    <div class="box-footer">
                        <a href="{{ url($link) }}" class="btn btn-danger">Kembali</a>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>


    @if (is_array($warnings))
        @foreach ($warnings as $warning)
            <div class="alert alert-warning">
                <span class="fa fa-warning"></span>
                {!! $warning !!}

                <button type="button" class="close" data-dismiss="alert" aria-label="close">
                    <span aria-hidden="true">&times;</span>
                </button>

            </div>
        @endforeach
    @endif
    <?php Session::forget('alert_import'); ?>

@endsection
